Index: issm/trunk/src/c/classes/objects/Inputs/TriaP1Input.h
===================================================================
--- issm/trunk/src/c/classes/objects/Inputs/TriaP1Input.h	(revision 13405)
+++ issm/trunk/src/c/classes/objects/Inputs/TriaP1Input.h	(revision 13975)
@@ -2,5 +2,4 @@
  *  \brief: header file for TriaP1Input object
  */
-
 
 #ifndef _TRIAP1INPUT_H_
@@ -18,5 +17,5 @@
 	public:
 		/*just hold 3 values for 3 vertices: */
-		int    enum_type;
+		int        enum_type;
 		IssmDouble values[3];
 
@@ -27,10 +26,9 @@
 		/*}}}*/
 		/*Object virtual functions definitions:{{{ */
-		void  Echo();
-		void  DeepEcho();
-		int   Id(); 
-		int   MyRank();
-		int   ObjectEnum();
-		Object* copy();
+		void    Echo();
+		void    DeepEcho();
+		int     Id();
+		int     ObjectEnum();
+		Object *copy();
 		/*}}}*/
 		/*TriaP1Input management: {{{*/
Index: issm/trunk/src/c/classes/objects/KML/KMLFileReadUtils.cpp
===================================================================
--- issm/trunk/src/c/classes/objects/KML/KMLFileReadUtils.cpp	(revision 13405)
+++ issm/trunk/src/c/classes/objects/KML/KMLFileReadUtils.cpp	(revision 13975)
@@ -545,5 +545,5 @@
 					  FILE* fid){
 
-	int     i=-1,j;
+	int     i=-1;
 	char*   kstr;
 	char*   ktok;
Index: issm/trunk/src/c/classes/objects/KML/KML_Attribute.h
===================================================================
--- issm/trunk/src/c/classes/objects/KML/KML_Attribute.h	(revision 13405)
+++ issm/trunk/src/c/classes/objects/KML/KML_Attribute.h	(revision 13975)
@@ -31,8 +31,4 @@
 		virtual void  DeepEcho(const char* indent);
 		int   Id(){_error_("Not implemented yet.");};
-		int   MyRank(){_error_("Not implemented yet.");};
-		void  Marshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   MarshallSize(){_error_("Not implemented yet.");};
-		void  Demarshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
 		int   ObjectEnum(){_error_("Not implemented yet.");};
 		Object* copy(){_error_("Not implemented yet.");};
@@ -48,3 +44,2 @@
 };
 #endif  /* _KML_ATTRIBUTE_H */
-
Index: issm/trunk/src/c/classes/objects/KML/KML_ColorStyle.h
===================================================================
--- issm/trunk/src/c/classes/objects/KML/KML_ColorStyle.h	(revision 13405)
+++ issm/trunk/src/c/classes/objects/KML/KML_ColorStyle.h	(revision 13975)
@@ -36,7 +36,4 @@
 		void  Read(FILE* fid,char* kstr);
 		int   Id(){_error_("Not implemented yet.");};
-		int   MyRank(){_error_("Not implemented yet.");};
-		void  Marshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   MarshallSize(){_error_("Not implemented yet.");};
 		void  Demarshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
 		int   ObjectEnum(){_error_("Not implemented yet.");};
@@ -46,3 +43,2 @@
 };
 #endif  /* _KML_COLORSTYLE_H */
-
Index: issm/trunk/src/c/classes/objects/KML/KML_Comment.h
===================================================================
--- issm/trunk/src/c/classes/objects/KML/KML_Comment.h	(revision 13405)
+++ issm/trunk/src/c/classes/objects/KML/KML_Comment.h	(revision 13975)
@@ -31,8 +31,4 @@
 		virtual void  DeepEcho(const char* indent);
 		int   Id(){_error_("Not implemented yet.");};
-		int   MyRank(){_error_("Not implemented yet.");};
-		void  Marshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   MarshallSize(){_error_("Not implemented yet.");};
-		void  Demarshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
 		int   ObjectEnum(){_error_("Not implemented yet.");};
 		Object* copy(){_error_("Not implemented yet.");};
@@ -48,3 +44,2 @@
 };
 #endif  /* _KML_COMMENT_H */
-
Index: issm/trunk/src/c/classes/objects/KML/KML_Container.h
===================================================================
--- issm/trunk/src/c/classes/objects/KML/KML_Container.h	(revision 13405)
+++ issm/trunk/src/c/classes/objects/KML/KML_Container.h	(revision 13975)
@@ -34,8 +34,4 @@
 		void  WriteExp(FILE* fid,const char* nstr,int sgn,double cm,double sp);
 		int   Id(){_error_("Not implemented yet.");};
-		int   MyRank(){_error_("Not implemented yet.");};
-		void  Marshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   MarshallSize(){_error_("Not implemented yet.");};
-		void  Demarshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
 		int   ObjectEnum(){_error_("Not implemented yet.");};
 		Object* copy(){_error_("Not implemented yet.");};
@@ -44,3 +40,2 @@
 };
 #endif  /* _KML_CONTAINER_H */
-
Index: issm/trunk/src/c/classes/objects/KML/KML_Document.h
===================================================================
--- issm/trunk/src/c/classes/objects/KML/KML_Document.h	(revision 13405)
+++ issm/trunk/src/c/classes/objects/KML/KML_Document.h	(revision 13975)
@@ -31,8 +31,4 @@
 		void  Read(FILE* fid,char* kstr);
 		int   Id(){_error_("Not implemented yet.");};
-		int   MyRank(){_error_("Not implemented yet.");};
-		void  Marshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   MarshallSize(){_error_("Not implemented yet.");};
-		void  Demarshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
 		int   ObjectEnum(){_error_("Not implemented yet.");};
 		Object* copy(){_error_("Not implemented yet.");};
@@ -41,3 +37,2 @@
 };
 #endif  /* _KML_DOCUMENT_H */
-
Index: issm/trunk/src/c/classes/objects/KML/KML_Feature.h
===================================================================
--- issm/trunk/src/c/classes/objects/KML/KML_Feature.h	(revision 13405)
+++ issm/trunk/src/c/classes/objects/KML/KML_Feature.h	(revision 13975)
@@ -45,8 +45,4 @@
 		void  Read(FILE* fid,char* kstr);
 		int   Id(){_error_("Not implemented yet.");};
-		int   MyRank(){_error_("Not implemented yet.");};
-		void  Marshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   MarshallSize(){_error_("Not implemented yet.");};
-		void  Demarshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
 		int   ObjectEnum(){_error_("Not implemented yet.");};
 		Object* copy(){_error_("Not implemented yet.");};
@@ -55,3 +51,2 @@
 };
 #endif  /* _KML_FEATURE_H */
-
Index: issm/trunk/src/c/classes/objects/KML/KML_File.cpp
===================================================================
--- issm/trunk/src/c/classes/objects/KML/KML_File.cpp	(revision 13405)
+++ issm/trunk/src/c/classes/objects/KML/KML_File.cpp	(revision 13975)
@@ -90,5 +90,4 @@
 	int          ncom=0;
 	char**       pcom=NULL;
-	KML_Object*  kobj;
 
 /*  get object attributes and check for solo tag  */
Index: issm/trunk/src/c/classes/objects/KML/KML_File.h
===================================================================
--- issm/trunk/src/c/classes/objects/KML/KML_File.h	(revision 13405)
+++ issm/trunk/src/c/classes/objects/KML/KML_File.h	(revision 13975)
@@ -32,8 +32,4 @@
 		void  WriteExp(FILE* fid,const char* nstr,int sgn,double cm,double sp);
 		int   Id(){_error_("Not implemented yet.");};
-		int   MyRank(){_error_("Not implemented yet.");};
-		void  Marshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   MarshallSize(){_error_("Not implemented yet.");};
-		void  Demarshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
 		int   ObjectEnum(){_error_("Not implemented yet.");};
 		Object* copy(){_error_("Not implemented yet.");};
@@ -42,3 +38,2 @@
 };
 #endif  /* _KML_FILE_H */
-
Index: issm/trunk/src/c/classes/objects/KML/KML_Folder.h
===================================================================
--- issm/trunk/src/c/classes/objects/KML/KML_Folder.h	(revision 13405)
+++ issm/trunk/src/c/classes/objects/KML/KML_Folder.h	(revision 13975)
@@ -31,8 +31,4 @@
 		void  Read(FILE* fid,char* kstr);
 		int   Id(){_error_("Not implemented yet.");};
-		int   MyRank(){_error_("Not implemented yet.");};
-		void  Marshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   MarshallSize(){_error_("Not implemented yet.");};
-		void  Demarshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
 		int   ObjectEnum(){_error_("Not implemented yet.");};
 		Object* copy(){_error_("Not implemented yet.");};
@@ -41,3 +37,2 @@
 };
 #endif  /* _KML_FOLDER_H */
-
Index: issm/trunk/src/c/classes/objects/KML/KML_Geometry.h
===================================================================
--- issm/trunk/src/c/classes/objects/KML/KML_Geometry.h	(revision 13405)
+++ issm/trunk/src/c/classes/objects/KML/KML_Geometry.h	(revision 13975)
@@ -30,8 +30,4 @@
 		void  Read(FILE* fid,char* kstr);
 		int   Id(){_error_("Not implemented yet.");};
-		int   MyRank(){_error_("Not implemented yet.");};
-		void  Marshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   MarshallSize(){_error_("Not implemented yet.");};
-		void  Demarshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
 		int   ObjectEnum(){_error_("Not implemented yet.");};
 		Object* copy(){_error_("Not implemented yet.");};
@@ -40,3 +36,2 @@
 };
 #endif  /* _KML_GEOMETRY_H */
-
Index: issm/trunk/src/c/classes/objects/KML/KML_GroundOverlay.h
===================================================================
--- issm/trunk/src/c/classes/objects/KML/KML_GroundOverlay.h	(revision 13405)
+++ issm/trunk/src/c/classes/objects/KML/KML_GroundOverlay.h	(revision 13975)
@@ -37,8 +37,4 @@
 		void  Read(FILE* fid,char* kstr);
 		int   Id(){_error_("Not implemented yet.");};
-		int   MyRank(){_error_("Not implemented yet.");};
-		void  Marshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   MarshallSize(){_error_("Not implemented yet.");};
-		void  Demarshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
 		int   ObjectEnum(){_error_("Not implemented yet.");};
 		Object* copy(){_error_("Not implemented yet.");};
@@ -47,3 +43,2 @@
 };
 #endif  /* _KML_GROUNDOVERLAY_H */
-
Index: issm/trunk/src/c/classes/objects/KML/KML_Icon.h
===================================================================
--- issm/trunk/src/c/classes/objects/KML/KML_Icon.h	(revision 13405)
+++ issm/trunk/src/c/classes/objects/KML/KML_Icon.h	(revision 13975)
@@ -45,8 +45,4 @@
 		void  Read(FILE* fid,char* kstr);
 		int   Id(){_error_("Not implemented yet.");};
-		int   MyRank(){_error_("Not implemented yet.");};
-		void  Marshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   MarshallSize(){_error_("Not implemented yet.");};
-		void  Demarshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
 		int   ObjectEnum(){_error_("Not implemented yet.");};
 		Object* copy(){_error_("Not implemented yet.");};
@@ -55,3 +51,2 @@
 };
 #endif  /* _KML_ICON_H */
-
Index: issm/trunk/src/c/classes/objects/KML/KML_LatLonBox.h
===================================================================
--- issm/trunk/src/c/classes/objects/KML/KML_LatLonBox.h	(revision 13405)
+++ issm/trunk/src/c/classes/objects/KML/KML_LatLonBox.h	(revision 13975)
@@ -36,8 +36,4 @@
 		void  Read(FILE* fid,char* kstr);
 		int   Id(){_error_("Not implemented yet.");};
-		int   MyRank(){_error_("Not implemented yet.");};
-		void  Marshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   MarshallSize(){_error_("Not implemented yet.");};
-		void  Demarshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
 		int   ObjectEnum(){_error_("Not implemented yet.");};
 		Object* copy(){_error_("Not implemented yet.");};
@@ -46,3 +42,2 @@
 };
 #endif  /* _KML_LATLONBOX_H */
-
Index: issm/trunk/src/c/classes/objects/KML/KML_LineString.h
===================================================================
--- issm/trunk/src/c/classes/objects/KML/KML_LineString.h	(revision 13405)
+++ issm/trunk/src/c/classes/objects/KML/KML_LineString.h	(revision 13975)
@@ -39,8 +39,4 @@
 		void  WriteExp(FILE* fid,const char* nstr,int sgn,double cm,double sp);
 		int   Id(){_error_("Not implemented yet.");};
-		int   MyRank(){_error_("Not implemented yet.");};
-		void  Marshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   MarshallSize(){_error_("Not implemented yet.");};
-		void  Demarshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
 		int   ObjectEnum(){_error_("Not implemented yet.");};
 		Object* copy(){_error_("Not implemented yet.");};
@@ -49,3 +45,2 @@
 };
 #endif  /* _KML_LINESTRING_H */
-
Index: issm/trunk/src/c/classes/objects/KML/KML_LineStyle.cpp
===================================================================
--- issm/trunk/src/c/classes/objects/KML/KML_LineStyle.cpp	(revision 13405)
+++ issm/trunk/src/c/classes/objects/KML/KML_LineStyle.cpp	(revision 13975)
@@ -63,5 +63,4 @@
 void  KML_LineStyle::DeepEcho(const char* indent){
 
-	int   i;
 	bool  flag=true;
 
Index: issm/trunk/src/c/classes/objects/KML/KML_LineStyle.h
===================================================================
--- issm/trunk/src/c/classes/objects/KML/KML_LineStyle.h	(revision 13405)
+++ issm/trunk/src/c/classes/objects/KML/KML_LineStyle.h	(revision 13975)
@@ -32,8 +32,4 @@
 		void  Read(FILE* fid,char* kstr);
 		int   Id(){_error_("Not implemented yet.");};
-		int   MyRank(){_error_("Not implemented yet.");};
-		void  Marshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   MarshallSize(){_error_("Not implemented yet.");};
-		void  Demarshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
 		int   ObjectEnum(){_error_("Not implemented yet.");};
 		Object* copy(){_error_("Not implemented yet.");};
@@ -42,3 +38,2 @@
 };
 #endif  /* _KML_LINESTYLE_H */
-
Index: issm/trunk/src/c/classes/objects/KML/KML_LinearRing.h
===================================================================
--- issm/trunk/src/c/classes/objects/KML/KML_LinearRing.h	(revision 13405)
+++ issm/trunk/src/c/classes/objects/KML/KML_LinearRing.h	(revision 13975)
@@ -39,8 +39,4 @@
 		void  WriteExp(FILE* fid,const char* nstr,int sgn,double cm,double sp);
 		int   Id(){_error_("Not implemented yet.");};
-		int   MyRank(){_error_("Not implemented yet.");};
-		void  Marshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   MarshallSize(){_error_("Not implemented yet.");};
-		void  Demarshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
 		int   ObjectEnum(){_error_("Not implemented yet.");};
 		Object* copy(){_error_("Not implemented yet.");};
@@ -49,3 +45,2 @@
 };
 #endif  /* _KML_LINEARRING_H */
-
Index: issm/trunk/src/c/classes/objects/KML/KML_MultiGeometry.h
===================================================================
--- issm/trunk/src/c/classes/objects/KML/KML_MultiGeometry.h	(revision 13405)
+++ issm/trunk/src/c/classes/objects/KML/KML_MultiGeometry.h	(revision 13975)
@@ -35,8 +35,4 @@
 		void  WriteExp(FILE* fid,const char* nstr,int sgn,double cm,double sp);
 		int   Id(){_error_("Not implemented yet.");};
-		int   MyRank(){_error_("Not implemented yet.");};
-		void  Marshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   MarshallSize(){_error_("Not implemented yet.");};
-		void  Demarshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
 		int   ObjectEnum(){_error_("Not implemented yet.");};
 		Object* copy(){_error_("Not implemented yet.");};
@@ -45,3 +41,2 @@
 };
 #endif  /* _KML_MULTIGEOMETRY_H */
-
Index: issm/trunk/src/c/classes/objects/KML/KML_Object.h
===================================================================
--- issm/trunk/src/c/classes/objects/KML/KML_Object.h	(revision 13405)
+++ issm/trunk/src/c/classes/objects/KML/KML_Object.h	(revision 13975)
@@ -32,8 +32,4 @@
 		virtual void  DeepEcho(const char* indent);
 		int   Id(){_error_("Not implemented yet.");};
-		int   MyRank(){_error_("Not implemented yet.");};
-		void  Marshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   MarshallSize(){_error_("Not implemented yet.");};
-		void  Demarshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
 		int   ObjectEnum(){_error_("Not implemented yet.");};
 		Object* copy(){_error_("Not implemented yet.");};
@@ -54,3 +50,2 @@
 };
 #endif  /* _KML_OBJECT_H */
-
Index: issm/trunk/src/c/classes/objects/KML/KML_Overlay.h
===================================================================
--- issm/trunk/src/c/classes/objects/KML/KML_Overlay.h	(revision 13405)
+++ issm/trunk/src/c/classes/objects/KML/KML_Overlay.h	(revision 13975)
@@ -37,8 +37,4 @@
 		void  Read(FILE* fid,char* kstr);
 		int   Id(){_error_("Not implemented yet.");};
-		int   MyRank(){_error_("Not implemented yet.");};
-		void  Marshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   MarshallSize(){_error_("Not implemented yet.");};
-		void  Demarshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
 		int   ObjectEnum(){_error_("Not implemented yet.");};
 		Object* copy(){_error_("Not implemented yet.");};
@@ -47,3 +43,2 @@
 };
 #endif  /* _KML_OVERLAY_H */
-
Index: issm/trunk/src/c/classes/objects/KML/KML_Placemark.h
===================================================================
--- issm/trunk/src/c/classes/objects/KML/KML_Placemark.h	(revision 13405)
+++ issm/trunk/src/c/classes/objects/KML/KML_Placemark.h	(revision 13975)
@@ -35,8 +35,4 @@
 		void  WriteExp(FILE* fid,const char* nstr,int sgn,double cm,double sp);
 		int   Id(){_error_("Not implemented yet.");};
-		int   MyRank(){_error_("Not implemented yet.");};
-		void  Marshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   MarshallSize(){_error_("Not implemented yet.");};
-		void  Demarshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
 		int   ObjectEnum(){_error_("Not implemented yet.");};
 		Object* copy(){_error_("Not implemented yet.");};
@@ -45,3 +41,2 @@
 };
 #endif  /* _KML_PLACEMARK_H */
-
Index: issm/trunk/src/c/classes/objects/KML/KML_Point.h
===================================================================
--- issm/trunk/src/c/classes/objects/KML/KML_Point.h	(revision 13405)
+++ issm/trunk/src/c/classes/objects/KML/KML_Point.h	(revision 13975)
@@ -37,8 +37,4 @@
 		void  WriteExp(FILE* fid,const char* nstr,int sgn,double cm,double sp);
 		int   Id(){_error_("Not implemented yet.");};
-		int   MyRank(){_error_("Not implemented yet.");};
-		void  Marshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   MarshallSize(){_error_("Not implemented yet.");};
-		void  Demarshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
 		int   ObjectEnum(){_error_("Not implemented yet.");};
 		Object* copy(){_error_("Not implemented yet.");};
@@ -47,3 +43,2 @@
 };
 #endif  /* _KML_POINT_H */
-
Index: issm/trunk/src/c/classes/objects/KML/KML_PolyStyle.cpp
===================================================================
--- issm/trunk/src/c/classes/objects/KML/KML_PolyStyle.cpp	(revision 13405)
+++ issm/trunk/src/c/classes/objects/KML/KML_PolyStyle.cpp	(revision 13975)
@@ -65,5 +65,4 @@
 void  KML_PolyStyle::DeepEcho(const char* indent){
 
-	int   i;
 	bool  flag=true;
 
Index: issm/trunk/src/c/classes/objects/KML/KML_PolyStyle.h
===================================================================
--- issm/trunk/src/c/classes/objects/KML/KML_PolyStyle.h	(revision 13405)
+++ issm/trunk/src/c/classes/objects/KML/KML_PolyStyle.h	(revision 13975)
@@ -33,8 +33,4 @@
 		void  Read(FILE* fid,char* kstr);
 		int   Id(){_error_("Not implemented yet.");};
-		int   MyRank(){_error_("Not implemented yet.");};
-		void  Marshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   MarshallSize(){_error_("Not implemented yet.");};
-		void  Demarshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
 		int   ObjectEnum(){_error_("Not implemented yet.");};
 		Object* copy(){_error_("Not implemented yet.");};
@@ -43,3 +39,2 @@
 };
 #endif  /* _KML_POLYSTYLE_H */
-
Index: issm/trunk/src/c/classes/objects/KML/KML_Polygon.h
===================================================================
--- issm/trunk/src/c/classes/objects/KML/KML_Polygon.h	(revision 13405)
+++ issm/trunk/src/c/classes/objects/KML/KML_Polygon.h	(revision 13975)
@@ -41,8 +41,4 @@
 		void  WriteExp(FILE* fid,const char* nstr,int sgn,double cm,double sp);
 		int   Id(){_error_("Not implemented yet.");};
-		int   MyRank(){_error_("Not implemented yet.");};
-		void  Marshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   MarshallSize(){_error_("Not implemented yet.");};
-		void  Demarshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
 		int   ObjectEnum(){_error_("Not implemented yet.");};
 		Object* copy(){_error_("Not implemented yet.");};
@@ -51,3 +47,2 @@
 };
 #endif  /* _KML_POLYGON_H */
-
Index: issm/trunk/src/c/classes/objects/KML/KML_Style.h
===================================================================
--- issm/trunk/src/c/classes/objects/KML/KML_Style.h	(revision 13405)
+++ issm/trunk/src/c/classes/objects/KML/KML_Style.h	(revision 13975)
@@ -39,8 +39,4 @@
 		void  Read(FILE* fid,char* kstr);
 		int   Id(){_error_("Not implemented yet.");};
-		int   MyRank(){_error_("Not implemented yet.");};
-		void  Marshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   MarshallSize(){_error_("Not implemented yet.");};
-		void  Demarshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
 		int   ObjectEnum(){_error_("Not implemented yet.");};
 		Object* copy(){_error_("Not implemented yet.");};
@@ -49,3 +45,2 @@
 };
 #endif  /* _KML_STYLE_H */
-
Index: issm/trunk/src/c/classes/objects/KML/KML_StyleSelector.h
===================================================================
--- issm/trunk/src/c/classes/objects/KML/KML_StyleSelector.h	(revision 13405)
+++ issm/trunk/src/c/classes/objects/KML/KML_StyleSelector.h	(revision 13975)
@@ -30,8 +30,4 @@
 		void  Read(FILE* fid,char* kstr);
 		int   Id(){_error_("Not implemented yet.");};
-		int   MyRank(){_error_("Not implemented yet.");};
-		void  Marshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   MarshallSize(){_error_("Not implemented yet.");};
-		void  Demarshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
 		int   ObjectEnum(){_error_("Not implemented yet.");};
 		Object* copy(){_error_("Not implemented yet.");};
@@ -40,3 +36,2 @@
 };
 #endif  /* _KML_STYLESELECTOR_H */
-
Index: issm/trunk/src/c/classes/objects/KML/KML_SubStyle.h
===================================================================
--- issm/trunk/src/c/classes/objects/KML/KML_SubStyle.h	(revision 13405)
+++ issm/trunk/src/c/classes/objects/KML/KML_SubStyle.h	(revision 13975)
@@ -30,8 +30,4 @@
 		void  Read(FILE* fid,char* kstr);
 		int   Id(){_error_("Not implemented yet.");};
-		int   MyRank(){_error_("Not implemented yet.");};
-		void  Marshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   MarshallSize(){_error_("Not implemented yet.");};
-		void  Demarshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
 		int   ObjectEnum(){_error_("Not implemented yet.");};
 		Object* copy(){_error_("Not implemented yet.");};
@@ -40,3 +36,2 @@
 };
 #endif  /* _KML_SUBSTYLE_H */
-
Index: issm/trunk/src/c/classes/objects/KML/KML_Unknown.h
===================================================================
--- issm/trunk/src/c/classes/objects/KML/KML_Unknown.h	(revision 13405)
+++ issm/trunk/src/c/classes/objects/KML/KML_Unknown.h	(revision 13975)
@@ -33,8 +33,4 @@
 		void  Read(FILE* fid,char* kstr);
 		int   Id(){_error_("Not implemented yet.");};
-		int   MyRank(){_error_("Not implemented yet.");};
-		void  Marshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   MarshallSize(){_error_("Not implemented yet.");};
-		void  Demarshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
 		int   ObjectEnum(){_error_("Not implemented yet.");};
 		Object* copy(){_error_("Not implemented yet.");};
@@ -43,3 +39,2 @@
 };
 #endif  /* _KML_UNKNOWN_H */
-
Index: issm/trunk/src/c/classes/objects/Loads/Friction.cpp
===================================================================
--- issm/trunk/src/c/classes/objects/Loads/Friction.cpp	(revision 13405)
+++ issm/trunk/src/c/classes/objects/Loads/Friction.cpp	(revision 13975)
@@ -191,5 +191,4 @@
 
 	/*diverse: */
-	int     i;
 	IssmDouble  r,s;
 	IssmDouble  vx,vy,vz,vmag;
@@ -257,5 +256,4 @@
 
 	/*diverse: */
-	int     i;
 	IssmDouble  r,s;
 	IssmDouble  vx,vy,vz,vmag;
Index: issm/trunk/src/c/classes/objects/Loads/Icefront.cpp
===================================================================
--- issm/trunk/src/c/classes/objects/Loads/Icefront.cpp	(revision 13405)
+++ issm/trunk/src/c/classes/objects/Loads/Icefront.cpp	(revision 13975)
@@ -52,5 +52,5 @@
 	int  icefront_node_ids[NUMVERTICESQUA]; //initialize with largest size
 	int  icefront_fill;
-	
+
 	/*find parameters: */
 	iomodel->Constant(&dim,MeshDimensionEnum);
@@ -90,5 +90,5 @@
 	/*Fill*/
 	icefront_fill=reCast<int>(iomodel->Data(DiagnosticIcefrontEnum)[segment_width*i+segment_width-1]);
-	
+
 	/*Ok, we have everything to build the object: */
 	this->id=icefront_id;
@@ -104,5 +104,5 @@
 	this->inputs->AddInput(new IntInput(FillEnum,icefront_fill));
 	this->inputs->AddInput(new IntInput(TypeEnum,in_icefront_type));
-	
+
 	//parameters and hooked fields: we still can't point to them, they may not even exist. Configure will handle this.
 	this->parameters=NULL;
@@ -111,5 +111,4 @@
 	this->matpar= NULL;
 }
-
 
 /*}}}*/
@@ -157,10 +156,4 @@
 int    Icefront::Id(void){ return id; }
 /*}}}*/
-/*FUNCTION Icefront::MyRank {{{*/
-int    Icefront::MyRank(void){ 
-	extern int my_rank;
-	return my_rank; 
-}
-/*}}}*/
 /*FUNCTION Icefront::ObjectEnum{{{*/
 int Icefront::ObjectEnum(void){
@@ -172,5 +165,5 @@
 /*FUNCTION Icefront::copy {{{*/
 Object* Icefront::copy() {
-	
+
 	Icefront* icefront=NULL;
 
@@ -278,4 +271,56 @@
 }
 /*}}}*/
+/*FUNCTION Icefront::GetNodesSidList{{{*/
+void Icefront::GetNodesSidList(int* sidlist){
+
+	int type;
+	inputs->GetInputValue(&type,TypeEnum);
+	_assert_(sidlist);
+	_assert_(nodes);
+
+	switch(type){
+		case MacAyeal2dIceFrontEnum:
+		case MacAyeal3dIceFrontEnum:
+			for(int i=0;i<NUMVERTICESSEG;i++) sidlist[i]=nodes[i]->Sid();
+			return;
+#ifdef _HAVE_3D_
+		case PattynIceFrontEnum:
+		case StokesIceFrontEnum:
+			for(int i=0;i<NUMVERTICESQUA;i++) sidlist[i]=nodes[i]->Sid();
+			return;
+#endif
+		default:
+			_error_("Icefront type " << EnumToStringx(type) << " not supported yet");
+	}
+}
+/*}}}*/
+/*FUNCTION Icefront::GetNumberOfNodes{{{*/
+int Icefront::GetNumberOfNodes(void){
+
+	int type;
+	inputs->GetInputValue(&type,TypeEnum);
+
+	switch(type){
+		case MacAyeal2dIceFrontEnum:
+			return NUMVERTICESSEG;
+#ifdef _HAVE_3D_
+		case MacAyeal3dIceFrontEnum:
+			return NUMVERTICESSEG;
+		case PattynIceFrontEnum:
+			return NUMVERTICESQUA;
+		case StokesIceFrontEnum:
+			return NUMVERTICESQUA;
+#endif
+		default:
+			_error_("Icefront type " << EnumToStringx(type) << " not supported yet");
+	}
+
+}
+/*}}}*/
+/*FUNCTION Icefront::IsPenalty{{{*/
+bool Icefront::IsPenalty(void){
+	return false;
+}
+/*}}}*/
 /*FUNCTION Icefront::PenaltyCreateKMatrix {{{*/
 void  Icefront::PenaltyCreateKMatrix(Matrix<IssmDouble>* Kff, Matrix<IssmDouble>* Kfs, IssmDouble kmax){
@@ -293,4 +338,55 @@
 void  Icefront::PenaltyCreateJacobianMatrix(Matrix<IssmDouble>* Jff,IssmDouble kmax){
 	this->PenaltyCreateKMatrix(Jff,NULL,kmax);
+}
+/*}}}*/
+/*FUNCTION Icefront::SetwiseNodeConnectivity{{{*/
+void Icefront::SetwiseNodeConnectivity(int* pd_nz,int* po_nz,Node* node,bool* flags,int set1_enum,int set2_enum){
+
+	/*Output */
+	int d_nz = 0;
+	int o_nz = 0;
+
+	/*Loop over all nodes*/
+	for(int i=0;i<this->GetNumberOfNodes();i++){
+
+		if(!flags[this->nodes[i]->Sid()]){
+
+			/*flag current node so that no other element processes it*/
+			flags[this->nodes[i]->Sid()]=true;
+
+			/*if node is clone, we have an off-diagonal non-zero, else it is a diagonal non-zero*/
+			switch(set2_enum){
+				case FsetEnum:
+					if(nodes[i]->indexing.fsize){
+						if(this->nodes[i]->IsClone())
+						 o_nz += 1;
+						else
+						 d_nz += 1;
+					}
+					break;
+				case GsetEnum:
+					if(nodes[i]->indexing.gsize){
+						if(this->nodes[i]->IsClone())
+						 o_nz += 1;
+						else
+						 d_nz += 1;
+					}
+					break;
+				case SsetEnum:
+					if(nodes[i]->indexing.ssize){
+						if(this->nodes[i]->IsClone())
+						 o_nz += 1;
+						else
+						 d_nz += 1;
+					}
+					break;
+				default: _error_("not supported");
+			}
+		}
+	}
+
+	/*Assign output pointers: */
+	*pd_nz=d_nz;
+	*po_nz=o_nz;
 }
 /*}}}*/
@@ -479,8 +575,7 @@
 ElementVector* Icefront::CreatePVectorDiagnosticMacAyeal3d(void){
 
-	Icefront* icefront=NULL;
-	Penta*    penta=NULL;
-	Tria*     tria=NULL;
-	bool      onbed;
+	Icefront *icefront = NULL;
+	Penta    *penta    = NULL;
+	Tria     *tria     = NULL;
 
 	/*Cast element onto Penta*/
@@ -663,5 +758,4 @@
 void  Icefront::GetDofList(int** pdoflist,int approximation_enum,int setenum){
 
-	int i,j;
 	int numberofdofs=0;
 	int count=0;
@@ -672,5 +766,4 @@
 	int* doflist=NULL;
 
-	
 	/*recover type: */
 	inputs->GetInputValue(&type,TypeEnum);
@@ -678,5 +771,5 @@
 	/*Some checks for debugging*/
 	_assert_(nodes);
-		
+
 	/*How many nodes? :*/
 	if(type==MacAyeal2dIceFrontEnum || type==MacAyeal3dIceFrontEnum)
@@ -684,7 +777,7 @@
 	else 
 	 numberofnodes=4;
-	
+
 	/*Figure out size of doflist: */
-	for(i=0;i<numberofnodes;i++){
+	for(int i=0;i<numberofnodes;i++){
 		numberofdofs+=nodes[i]->GetNumberOfDofs(approximation_enum,setenum);
 	}
@@ -695,5 +788,5 @@
 	/*Populate: */
 	count=0;
-	for(i=0;i<numberofnodes;i++){
+	for(int i=0;i<numberofnodes;i++){
 		nodes[i]->GetDofList(doflist+count,approximation_enum,setenum);
 		count+=nodes[i]->GetNumberOfDofs(approximation_enum,setenum);
Index: issm/trunk/src/c/classes/objects/Loads/Icefront.h
===================================================================
--- issm/trunk/src/c/classes/objects/Loads/Icefront.h	(revision 13405)
+++ issm/trunk/src/c/classes/objects/Loads/Icefront.h	(revision 13975)
@@ -48,5 +48,4 @@
 		void  DeepEcho();
 		int   Id(); 
-		int   MyRank();
 		int   ObjectEnum();
 		Object* copy();
@@ -72,7 +71,11 @@
 		void  CreatePVector(Vector<IssmDouble>* pf);
 		void  CreateJacobianMatrix(Matrix<IssmDouble>* Jff);
+		int   GetNumberOfNodes(void);
+		void  GetNodesSidList(int* sidlist);
+		bool  IsPenalty(void);
 		void  PenaltyCreateKMatrix(Matrix<IssmDouble>* Kff, Matrix<IssmDouble>* kfs, IssmDouble kmax);
 		void  PenaltyCreatePVector(Vector<IssmDouble>*  pf, IssmDouble kmax);
 		void  PenaltyCreateJacobianMatrix(Matrix<IssmDouble>* Jff,IssmDouble kmax);
+		void  SetwiseNodeConnectivity(int* d_nz,int* o_nz,Node* node,bool* flags,int set1_enum,int set2_enum);
 		bool  InAnalysis(int analysis_type);
 		/*}}}*/
